Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Interface IDisconnect

All Known Subinterfaces:
  IDebugTarget

All Known Implementing Classes:
  Launch

    public interface IDisconnect

The ability to end a debug session with a target program and allow the target to continue running.

Clients may implement this interface.

See Also:
  `IDebugTarget`

Method Summary
`boolean` `canDisconnect()` Returns whether this element can currently disconnect.
`void` `disconnect()` Disconnects this element from its target.
`boolean` `isDisconnected()` Returns whether this element is disconnected.

Method Detail

### canDisconnect

    boolean canDisconnect()

  Returns whether this element can currently disconnect.

  Returns:
    whether this element can currently disconnect

### disconnect

    void disconnect()
                    throws DebugException

  Disconnects this element from its target. Generally, disconnecting ends a debug session with a debug target, but allows the target program to continue running.

  Throws:
    `DebugException` - on failure. Reasons include:
    - TARGET_REQUEST_FAILED - The request failed in the target
    - NOT_SUPPORTED - The capability is not supported by the target

### isDisconnected

    boolean isDisconnected()

  Returns whether this element is disconnected.

  Returns:
    whether this element is disconnected

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.